Subject: Re: bug#29634: Hydra fails to honor 'max-silent-time' for early guile build

From: Mark H Weaver <[email-masked]>
Date: Tue, 12 Dec 2017 17:12:56 -0500

[email-masked] (Ludovic Courtès) writes:

> Mark H Weaver <[email-masked]> skribis:
>
>> [email-masked] (Ludovic Courtès) writes:
>>
>>> Mark H Weaver <[email-masked]> skribis:
>>>
>>>> An early 'guile' build on armhf-linux consistently fails on Hydra,
>>>> because the 'timeout' and 'max-silent-time' properties are not honored.
>>>> For example:
>>>>
>>>>   https://hydra.gnu.org/build/2391845
>>>>
>>>> This is a longstanding issue.  In past core-updates cycles, I have
>>>> worked around the problem by rebuilding these early 'guile' derivations
>>>> from Hydra's command line, passing --timeout and --max-silent-time
>>>> manually, and then restarting the many dependency failures.
>>>>
>>>> It would be good to fix this issue properly.
>>>>
>>>> My guess is that the build parameters are not honored because there is
>>>> no Hydra 'job' associated with this early 'guile'.
>>>
>>> Exactly.  Or maybe there’s one but this early ‘guile’ is built as a
>>> dependency of another job.
>>
>> How do you think we should fix this?
>
> Of course I’d prefer if Guile compile times were shorter.
>
> Besides, we should probably handle timeouts per-derivation rather than
> globally (currently timeout are per-session, see ‘set-build-options’).
> We could do that by adding a new special value in the environment
> variable map of derivation (as is the case for, e.g.,
> “exportReferencesGraph”) that the daemon would honor.  It’s a
> rebuild-the-world change though.

Sounds good to me.  For now, I'll rebuild the early guile for armhf
manually.

     Thanks,
       Mark